document.addEventListener('DOMContentLoaded', function() {
    // Initialize skill chart
    const ctx = document.getElementById('skillChart').getContext('2d');
    const skillChart = new Chart(ctx, {
        type: 'radar',
        data: {
            labels: ['Agility', 'Ball Handling', 'Shooting', 'Strength', 'Defense'],
            datasets: [{
                label: 'Your Skills',
                data: [65, 75, 70, 80, 60],
                backgroundColor: 'rgba(255, 107, 0, 0.2)',
                borderColor: 'rgba(255, 107, 0, 1)',
                pointBackgroundColor: 'rgba(255, 107, 0, 1)'
            }]
        },
        options: {
            scale: {
                ticks: {
                    beginAtZero: true,
                    max: 100
                }
            }
        }
    });

    // Smooth scroll for navigation
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function(e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Animation on scroll
    const observer = new IntersectionObserver((entries) => {
        entries.forEach(entry => {
            if (entry.isIntersecting) {
                entry.target.classList.add('fade-in');
            }
        });
    });

    document.querySelectorAll('.card, .drill-card').forEach((el) => observer.observe(el));
});